Subject: ldd.cygwin
From: Matt Swift <[email-masked]>
To: Christopher Faylor <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 19 Sep 2002 04:03:47 -0400

I have polished up the "ldd" script some more and have posted it at

   http://www.shore.net/~swift/ldd.cygwin.txt

(The .txt extension seems to be necessary for proper viewing in browsers.)

If you are bored, try 'ldd -v /bin/*.exe' and watch the time pass...

It won't look at non-executables yet, but that should not be hard to
fix.  (See a comment on buggy(?) behavior of "type -p".)
I probably won't do more with this than fix that sometime.  

    On Wed, Sep 18, 2002 at 11:37:55AM -0600, Warren Young wrote:
    >Matt Swift wrote:
    >>Attached is a bash script that emulates the ldd(1) utility.  Enjoy.
    >
    >I wanted this very thing the other day! Thanks, Matt.
    >
    >My only complaint is that it should give usage (or demand --help) when
    >you run it without arguments.
    >
    >I vote that this be added to Cygwin.  Binutils, perhaps?

    Then you're sending email to the wrong mailing list.

    The binutils mailing list is [email-masked] .

    cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/